local unitArea = 4
local sizeRatio = math.sqrt(4 / unitArea)

SquarePointStamp = function(canvas, x, y, radius, paint)
    local size = (radius or 2) * sizeRatio
    local path = Path.rect{
        left = x - size,
        bottom = y - size,
        right = x + size,
        top = y + size,
    }
    canvas:setPaint(paint):fill(path)
end

return SquarePointStamp
